> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get site flex events

> Get info on flex events the site has participated in, including estimated and final gross revenues.

These estimates can be used for a variety of purposes, including paying out end-users before the final settlement data is available.However, to avoid overpayments it is recommended to only pay out a percentage of the estimated revenue initially, and top-up once final revenues are available.

Note: it is possible for gross revenues to be negative in some scenarios, e.g. if the site flexed in the wrong direction by consuming more energy while it was instructed to consume less.



## OpenAPI

````yaml GET /entities/site/{site_id}/flex-events
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/site/{site_id}/flex-events:
    get:
      tags:
        - 3. Sites
      summary: Get Site Flex Events
      description: >-
        Get info on flex events the site has participated in, including
        estimated and final gross revenues.


        These estimates can be used for a variety of purposes, including paying
        out end-users before the final settlement data is available.However, to
        avoid overpayments it is recommended to only pay out a percentage of the
        estimated revenue initially, and top-up once final revenues are
        available.


        Note: it is possible for gross revenues to be negative in some
        scenarios, e.g. if the site flexed in the wrong direction by consuming
        more energy while it was instructed to consume less.
      operationId: get_site_flex_events_entities_site__site_id__flex_events_get
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Site Id
          name: site_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteFlexEventsResponse'
        '404':
          description: Site not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    SiteFlexEventsResponse:
      properties:
        site_id:
          type: string
          format: uuid
          title: Site Id
          description: ID of the site
        events:
          items:
            $ref: '#/components/schemas/FlexEventResponse'
          type: array
          title: Events
          description: List of flex events the site participated in
      type: object
      required:
        - site_id
        - events
      title: SiteFlexEventsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlexEventResponse:
      properties:
        start_at:
          type: string
          format: date-time
          title: Start At
          description: UTC start time of the flex event
        end_at:
          type: string
          format: date-time
          title: End At
          description: UTC end time of the flex event
        estimated_gross_revenue_gbp:
          type: number
          title: Estimated Gross Revenue Gbp
          description: >-
            Estimated gross revenue earned in GBP for the event, before data has
            been submitted and reviewed by the relevant market bodies. Gross
            earnings are total flex earnings before any Axle and end-user
            revenue sharing deductions.
        final_gross_revenue_gbp:
          type: number
          title: Final Gross Revenue Gbp
          description: >-
            Final gross revenue earned in GBP for the event. This will be
            completed before the final settlement run of the event month (in UK
            Time), which runs at the end of the following month. Gross earnings
            are total flex earnings before any Axle and end-user revenue sharing
            deductions.
      type: object
      required:
        - start_at
        - end_at
        - estimated_gross_revenue_gbp
      title: FlexEventResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````